Libical API Documentation 3.0

Public Member Functions
LibICal::ICalSpanList Class Reference

`#include <icalspanlist_cxx.h>`

## Public Member Functions
| ICalSpanList (const ICalSpanList &v)
| ICalSpanList (icalcomponent *comp)
| ICalSpanList (icalset *set, icaltimetype start, icaltimetype end)
| ICalSpanList (VComponent &comp)
| ~ICalSpanList ()
std::vector< int > | as_vector (int delta_t)
void | dump ()
VComponent * | get_vfreebusy (const char *organizer, const char *attendee)
| operator icalspanlist * ()
ICalSpanList & | operator= (const ICalSpanList &)

## Detailed Description

This class wraps the icalspanlist routines in libicalss

Errors within libicalss are propagated via exceptions of type icalerrorenum. See icalerror.h for the complete list of exceptions that might be thrown.

## Constructor & Destructor Documentation

## ◆ ICalSpanList() [1/3]

LibICal::ICalSpanList::ICalSpanList | ( | icalset * | set,
|  | icaltimetype | start,
|  | icaltimetype | end
| ) |  |

Constructs an ICalSpanList from an icalset

## ◆ ICalSpanList() [2/3]

LibICal::ICalSpanList::ICalSpanList | ( | icalcomponent * | comp | ) |
| explicit

Constructs an ICalSpanList from the VFREEBUSY chunk of a icalcomponent

## ◆ ICalSpanList() [3/3]

LibICal::ICalSpanList::ICalSpanList | ( | VComponent & | comp | ) |
| explicit

Constructs an ICalSpanList from the VFREEBUSY chunk of a vcomponent

## ◆ ~ICalSpanList()

LibICal::ICalSpanList::~ICalSpanList | ( |  | ) |

Destructor

## Member Function Documentation

## ◆ as_vector()

std::vector< int > LibICal::ICalSpanList::as_vector | ( | int | delta_t | ) |

Returns a vector of the number of events over delta t

## ◆ dump()

void LibICal::ICalSpanList::dump | ( |  | ) |

Dumps the spanlist to STDOUT

## ◆ get_vfreebusy()

VComponent * LibICal::ICalSpanList::get_vfreebusy | ( | const char * | organizer,
|  | const char * | attendee
| ) |  |

Returns a VFREEBUSY icalcomponent

## ◆ operator icalspanlist *()

LibICal::ICalSpanList::operator icalspanlist * | ( |  | ) |
| inline

Returns the base data when casting

The documentation for this class was generated from the following file:

- icalspanlist_cxx.h